import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import {
	Row,
	Col,
	Button
} from 'antd';
import {
	WeaSearchGroup
} from 'ecCom';
import FormInfo from '../../coms/FormInfo';
import {
	i18n
} from '../../public/i18n';

@observer
export default class Dashboard extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			store
		} = this.props;
		const {
			refreshForm,
			getSearchGroupItem
		} = store;

		const searchGroupProps = {
			title: i18n.label.selectObject(),
			showGroup: true,
			items: getSearchGroupItem(),
			col: 2
		}

		return (
			<div className='dashboard'>
				<WeaSearchGroup ecId={`${this && this.props && this.props.ecId || ''}_WeaSearchGroup@q68rqf`} {...searchGroupProps}/>
			</div>
		)
	}
}